org.apache.tinkerpop.gremlin.driver.ser.binary.types

## Class DurationSerializer

- java.lang.Object
- - org.apache.tinkerpop.gremlin.driver.ser.binary.types.SimpleTypeSerializer<Duration>
  - - org.apache.tinkerpop.gremlin.driver.ser.binary.types.DurationSerializer

- All Implemented Interfaces:
    TypeSerializer<Duration>

      public class DurationSerializer
      extends SimpleTypeSerializer<Duration>

  Author:
    Stephen Mallette (http://stephen.genoprime.com)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DurationSerializer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ByteBuf` | `writeValue(Duration value, ByteBufAllocator allocator, GraphBinaryWriter context)` Writes a non-nullable value into a buffer using the provided allocator.

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.driver.ser.binary.types.SimpleTypeSerializer

      `getDataType, read, readValue, write, writeValue`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DurationSerializer

          public DurationSerializer()

  - ### Method Detail

    - #### writeValue

          public ByteBuf writeValue(Duration value,
                                    ByteBufAllocator allocator,
                                    GraphBinaryWriter context)
                             throws SerializationException

      Description copied from class: `SimpleTypeSerializer`
      Writes a non-nullable value into a buffer using the provided allocator.
      Specified by:
        `writeValue` in class `SimpleTypeSerializer<Duration>`
      Parameters:
        `value` - A non-nullable value.
        `allocator` - The buffer allocator to use.
        `context` - The binary writer.
      Throws:
        `SerializationException`

Copyright © 2013–2019 Apache Software Foundation. All rights reserved.